<template>
  <div class="mt-form-fields-grade">
    <div class="mt-fields-section">
      <b-field label="Code ">
        <b-input v-model="corp.code" placeholder="Ex: OFF" required />
      </b-field>
      <b-field label="Libellé ">
        <b-input v-model="corp.libelle" placeholder="Ex: Officier" required />
      </b-field>
      <b-field label="Ordre ">
        <b-input v-model="corp.ordre" placeholder="Ex: 1" type="number" required />
      </b-field>
      <b-field label="Lettre ">
        <b-input v-model="corp.lettre" placeholder="Ex: X" required />
      </b-field>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    corp: {
      type: Object,
      default: () => ({}),
    },
  },
};
</script>

<style scoped lang="scss">
h3 {
  font-weight: bold;
  margin-bottom: 1rem;
}
.mt-fields-section {
  margin-bottom: 1.25rem;
}
.mt-fake-field {
  margin-bottom: 0;
}
.mt-type {
  .control:not(:last-child) {
    margin-right: 1rem;
  }
}
</style>
